scsi-spin(8)

NAME
scsi-spin - spin up and down a SCSI device

SYNOPSIS
scsi-spin [-options...] [device]

DESCRIPTION
scsi-spin let the user to manually spin up and down a SCSI device. This command is particularly useful if you've got noisy (or hot) drives in a machine that you rarely need to access. This is not the same as the kernel patch that's floating around that will automatically spin down the drive after some time. scsi-spin is completely manual, and spinning down a drive that's in use, especially the one containing the scsi-spin binary, is probably a really bad idea. To avoid running in trouble with such cases, scsi-spin verifies that the device to work on is not currently in use by scanning the mounted file system description file for a partition living on it and issue an error if this the case.

OPTIONS

-u, --up
    spin up device.

-d, --down
    spin down device.

-e, --loej
    load or eject medium from drive (use along with -u or -d )

-w, --wait=[n]
    wait up to n seconds for the spin up/down command to complete. Default is to return immediately after the command was sent to the device. Either repeat -w n times or set n to define the time to wait before to report a timeout.

-l, --lock
    prevent removal of medium from device.

-L, --unlock
    allow removal of medium from device.

-I, --oldioctl
    use legacy ioctl interface instead of SG_IO to dialog with device (could not be supported on all platforms). -e and -w are not allowed with this option.

-v, --verbose=[n]
    verbose mode. Either repeat -v or set n accordingly to increase verbosity. 1 is verbose, 2 is debug (dump SCSI commands and Sense buffer).

-f, --force
    force spinning up/down the device even if it is in use.

-n, --noact
    do nothing but check if the device is in use.

-p, --proc
    use /proc/mounts instead of /etc/mtab to determine if the device is in use or not.

device
    the device is any name in the filesystem which points to a SCSI block device (sd, scd) or generic SCSI device (sg). See section below.

SCSI devices naming convention

  Old kernel naming convention
It is typically /dev/sd[a-z] , /dev/scd[0-9]* or /dev/sg[0-9]*.

  scsidev naming convention
It is typically /dev/scsi/s[rdg]h[0-9]*-e????c?i?l? or /dev/scsi/<aliasname>.

  devfs naming convention
It is typically /dev/scsi/host[0-9]/bus[0-9]/target[0-9]/lun[0-9]/disc (same for cd and generic devices) or short name /dev/sd/c[0-9]b[0-9]t[0-9]u[0-9] when devfsd "new compatibility entries" naming scheme is enabled.

SEE ALSO
scsiinfo(8), sg_start(8), sd(4), proc(5),

AUTHORS
Eric Delaunay <delaunay@debian.org>, 2001
Rob Browning <rlb@cs.utexas.edu>, 1998